xcb_open_font(3)

NAME
xcb_open_font - opens a font

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_open_font(xcb_connection_t *conn, xcb_font_t fid, uint16_t name_len, const char *name);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

fid The ID with which you will refer to the font, created by xcb_generate_id.

name_len
    Length (in bytes) of name.

name
    A pattern describing an X core font.

DESCRIPTION
Opens any X core font matching the given name (for example "-misc-fixed-*"). Note that X core fonts are deprecated (but still supported) in favor of client-side rendering using Xft.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_open_font_checked. See xcb-requests(3) for details.

ERRORS

xcb_name_error_t
    No font matches the given name.

SEE ALSO
xcb-requests(3), xcb_generate_id(3)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.